public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-radio/svxlink/
Date: Thu,  7 Jan 2016 17:40:56 +0000 (UTC)	[thread overview]
Message-ID: <1452188442.00222aefaae7b77ae403bab64deaa7d49d9da602.tomjbe@gentoo> (raw)

commit:     00222aefaae7b77ae403bab64deaa7d49d9da602
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 17:39:42 2016 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 17:40:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00222aef

media-radio/svxlink: Version bump (bug #569512)

Package-Manager: portage-2.2.26

 media-radio/svxlink/Manifest             |  1 +
 media-radio/svxlink/svxlink-15.11.ebuild | 71 ++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/media-radio/svxlink/Manifest b/media-radio/svxlink/Manifest
index 185737b..8234ca6 100644
--- a/media-radio/svxlink/Manifest
+++ b/media-radio/svxlink/Manifest
@@ -1 +1,2 @@
 DIST svxlink-13.12.tar.gz 1168697 SHA256 c2a991a35f3386027e33f35c53c9d383231bc8e3184c8e2fef871e4f68622245 SHA512 442320c7f29e090ab3596c607c640d310cd534093203264a9cb57f3e768b83604bffa478a2e743b37a2a82fd093b83050a1c300c623f01191048119091b4bf74 WHIRLPOOL 0c9ba108b076dca6ad5fa6ccf02141a83159a2bb28cf4653d614502cf6255583ada9281490fadd212837b97a5f7a7d75eb292fd35a912569d8122a005c409ebb
+DIST svxlink-15.11.tar.gz 1528034 SHA256 17bd8a1174c70e990b676210e6edb373732d284aed55c5a82bc378a1d69cecf2 SHA512 b5c36e1a5e1dd0f954b7c2318d32d1bd52d8ec0a94a98e9c2de0b61ebbc6d0809d87fefbf13271c20a1a55e1a965e1a98f14c819df7b16a523b7cfc0fd4562ac WHIRLPOOL a0b251b32ff32f6a15cb6596ddcc929eaf161f49c54191828bd0cb0434cb486f39ebc5271fa7c749a5d98f80d9931c366beec2059f01faffbdd3bd7a4f465d75

diff --git a/media-radio/svxlink/svxlink-15.11.ebuild b/media-radio/svxlink/svxlink-15.11.ebuild
new file mode 100644
index 0000000..d551952
--- /dev/null
+++ b/media-radio/svxlink/svxlink-15.11.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils qt4-r2 user
+
+CMAKE_USE_DIR="${S}/src"
+
+DESCRIPTION="Multi Purpose Voice Services System, including Qtel for EchoLink"
+HOMEPAGE="http://www.svxlink.org"
+SRC_URI="https://github.com/sm0svx/${PN}/archive/15.11.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/tcl:0
+	dev-qt/qtcore:4
+	dev-qt/qtgui:4
+	media-libs/alsa-lib
+	media-sound/gsm
+	dev-libs/libgcrypt:0
+	media-libs/speex
+	media-libs/opus
+	dev-libs/libsigc++:2
+	dev-libs/popt"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+pkg_setup() {
+	enewgroup svxlink
+	enewuser svxlink -1 -1 -1 svxlink
+}
+
+src_prepare() {
+	# drop deprecated desktop category (bug #475730)
+	sed -i -e "s:Categories=Application;:Categories=:g" src/qtel/qtel.desktop || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSYSCONF_INSTALL_DIR=/etc
+		-DLOCAL_STATE_DIR=/var
+	)
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	fowners -R svxlink.svxlink /var/spool/svxlink
+
+	rm -R "${D}"/usr/share/doc/svxlink || die
+	dodoc src/doc/README-${PV}.adoc
+	doman src/doc/man/*.1 src/doc/man/*.5
+
+	insinto /etc/logrotate.d
+	doins   distributions/gentoo/etc/logrotate.d/*
+
+	newinitd "${FILESDIR}"/remotetrx.init remotetrx
+	newinitd "${FILESDIR}"/svxlink.init svxlink
+	newconfd "${FILESDIR}"/remotetrx.rc remotetrx
+	newconfd "${FILESDIR}"/svxlink.rc svxlink
+
+}


             reply	other threads:[~2016-01-07 17:41 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-07 17:40 Thomas Beierlein [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 11:09 [gentoo-commits] repo/gentoo:master commit in: media-radio/svxlink/ Jakov Smolić
2024-09-03 11:09 Jakov Smolić
2024-08-27 11:32 Thomas Beierlein
2024-07-31 12:34 Thomas Beierlein
2024-07-30 18:39 Thomas Beierlein
2024-07-25  7:45 Thomas Beierlein
2024-07-01 19:36 Thomas Beierlein
2024-01-15 13:41 Thomas Beierlein
2022-08-12 16:34 Thomas Beierlein
2022-08-08  9:40 Andreas Sturmlechner
2021-05-25 17:45 Thomas Beierlein
2021-05-25 15:04 Agostino Sarubbo
2021-05-25 11:03 Sam James
2021-04-26 15:35 Thomas Beierlein
2021-04-26 14:33 Thomas Beierlein
2018-07-09 14:38 Mikle Kolyada
2018-07-06 13:43 Thomas Deutschmann
2018-03-30 18:00 Thomas Beierlein
2018-02-18 21:48 Thomas Deutschmann
2018-02-15  6:09 Thomas Beierlein
2018-01-15 15:27 Thomas Beierlein
2016-05-01 14:33 Thomas Beierlein
2016-01-30  9:40 Pacho Ramos
2016-01-07 17:37 Thomas Beierlein

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1452188442.00222aefaae7b77ae403bab64deaa7d49d9da602.tomjbe@gentoo \
    --to=tomjbe@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox